#! /bin/sh

# create_ts.sh -- Pamhyr script to generate translate files
# Copyright (C) 2023  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SOURCES=$(find ../ -name "*.py")
FROM=$(find ../ -name "*.ui")

LANG="fr"

for l in $LANG
do
    pylupdate5 $SOURCES $FROM -ts $l.ts
done

for l in $LANG
do
    lrelease $l.ts $l.qm
done
